// pages/register/register.js

const app = getApp()
let time;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    yesSend:false,//是否发送验证码
    minter: 60,//发送验证码60秒后才可再次发送
    num:60,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  sendTouch:function(){//发送验证码
    this.setData({
      yesSend: true,
    })
    if (this.data.yesSend) {
      time = setInterval(this.setIntervalFn,1000)
    }
  },
  setIntervalFn:function(){//定时器
    if (this.data.num > 0) {
      this.data.num--;
      if (this.data.num == 0) {
        this.setData({
          yesSend: false,
        })
        if (!this.data.yesSend){
          this.setData({
            num: 60,
            minter: 60,
          })
        }
        clearInterval(time);
      }
    }
    this.setData({
      minter: this.data.num
    })
    console.log(this.data.minter)
  },
  registerFn:function(){
    wx.showToast({
      title: '成功',
      icon: 'success',
      duration: 1000
    })
    setTimeout(function(){
      wx.switchTab({
        url: '../index/index'
      })
    },1000)
  }
})